/* $Id: test4.c,v 1.4 2009/01/27 15:58:54 potyra Exp $ 
 *
 * Copyright (C) 2007-2009 FAUcc Team <info@faumachine.org>.
 * This program is free software. You can redistribute it and/or modify it
 * under the terms of the GNU General Public License, either version 2 of
 * the License, or (at your option) any later version. See COPYING.
 */
void test1(void) {}
void test2(void) {}

int
main(void)
{
	int y;

	y = 1;
	if (0) {
		test1();
	l1:	test2();
		y--;
	}
	if (y) {
		goto l1;
	}
	return 0;
}
